<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [toast](./bitburner.ns.toast.md)

## NS.toast() method

Queue a toast (bottom-right notification).

**Signature:**

```typescript
toast(msg: string, variant?: ToastVariant, duration?: number | null): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  msg | string | Message in the toast. |
|  variant | [ToastVariant](./bitburner.toastvariant.md) | _(Optional)_ Type of toast. Must be one of success, info, warning, error. Defaults to success. |
|  duration | number \| null | _(Optional)_ Duration of toast in ms. Can also be <code>null</code> to create a persistent toast. Defaults to 2000. |

**Returns:**

void

